name: Website Prod

on:
  push:
    branches: [main]

jobs:
  prod-build:
    runs-on: act-runner-user
    timeout-minutes: 5
    steps:
      - name: clone
        uses: actions/checkout@v4
      - name: build
        run: hugo --minify --gc --baseURL "https://denyskon.de/"
      - name: deploy
        run: |
          cd public
          rsync -azr --delete ./ /opt/data/webdata/           